For the complete documentation index, see llms.txt. This page is also available as Markdown.

Profile

Authentication Requirements:

  • Regular endpoints use OAuth2 authentication with base URL: https://api.us.prd.caf.io

  • For enhanced security, some endpoints may also support mTLS authentication with base URL: https://mtls.us.prd.caf.io

  • For information on implementing mTLS, access Using mTLS

Profile updates will trigger a webhook to communicate new statuses to the client-server. See more in profile webhooks section

Get person

get
/peoples/{personId}

Retrieve information of a person's profile.

Permission required: Read People Profiles

Path parameters
personIdstringRequired

Person identifier or CPF.

Header parameters
AuthorizationstringRequired

Your access token. See more in the 'Authentication' topic of this section.

Example: Bearer YOUR_TOKEN
Responses
200

Success

application/json
requestIdstringRequired

Unique identifier of request.

Example: 2b8f373-c462-4bbf-9a4f-8aeb7d71ec53
idstringRequired

Unique identifier of person.

Example: 5388a3e9a73b28000bba31a3
statusstring · enumRequired

Status of person profile. Possible values: APPROVED, REPROVED, PENDING, PROCESSING, WAITING_DOCUMENTS

Example: APPROVEDPossible values:
cpfstringRequired

Individual person national registry.

Example: 00011122233
get/peoples/{personId}

Get company

get
/companies/{companyId}

Retrieve information of a company's profile.

Permission required: Read Company Profiles

Path parameters
companyIdstringRequired

Company identifier or CNPJ.

Query parameters
_includeOnboardingQsastringOptional

Should include corporate structure. Necessary to include sources response, onboarding and QSA.

Example: true
Header parameters
AuthorizationstringRequired

Your access token. See more in the 'Authentication' topic of this section.

Example: Bearer YOUR_TOKEN
Responses
200

Success

application/json
requestIdstringRequired

Unique identifier of request.

Example: 2b8f373-c462-4bbf-9a4f-8aeb7d71ec53
idstringRequired

Unique identifier of company.

Example: 5388a3e9a73b28000bba31a3
statusstring · enumRequired

Status of company profile. Possible values: APPROVED, REPROVED, PENDING, PROCESSING, WAITING_DOCUMENTS

Example: APPROVEDPossible values:
cnpjstringRequired

National Register of Legal entity.

Example: 00AAA222333344
get/companies/{companyId}

Last updated